Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v4
Class ConsultVirtualIngredientType

    java.lang.Object
      be.fgov.ehealth.dics.core.v4.virtual.common.VirtualIngredientKeyType
          be.fgov.ehealth.dics.protocol.v4.ConsultVirtualIngredientType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2024-09-05T10:49:36+02:00",
               comments="JAXB RI v2.3.6")
    public class ConsultVirtualIngredientType

extends VirtualIngredientKeyType
implements Serializable

Java class for ConsultVirtualIngredientType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultVirtualIngredientType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v4:virtual:common}VirtualIngredientKeyType">
           <sequence>
             <element name="Type" type="{urn:be:fgov:ehealth:dics:core:v4:core}IngredientTypeType"/>
             <element name="Strength" type="{urn:be:fgov:ehealth:dics:core:v4:core}StrengthRangeType" minOccurs="0"/>
             <element name="Substance" type="{urn:be:fgov:ehealth:dics:protocol:v4}SubstanceWithStandardsType"/>
             <element name="RealVirtualIngredient" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultRealVirtualIngredientType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v4}validityPeriod"/>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultVirtualIngredientType()`

Method Summary
`org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
`List<ConsultRealVirtualIngredientType>` | `getRealVirtualIngredients()` Gets the value of the realVirtualIngredients property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`StrengthRangeType` | `getStrength()` Gets the value of the strength property.
`SubstanceWithStandardsType` | `getSubstance()` Gets the value of the substance property.
`String` | `getType()` Gets the value of the type property.
`void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.
`void` | `setStrength(StrengthRangeType value)` Sets the value of the strength property.
`void` | `setSubstance(SubstanceWithStandardsType value)` Sets the value of the substance property.
`void` | `setType(String value)` Sets the value of the type property.

Methods inherited from class be.fgov.ehealth.dics.core.v4.virtual.common.VirtualIngredientKeyType
`getRank, setRank`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultVirtualIngredientType

    public ConsultVirtualIngredientType()

Method Detail

### getType

    public String getType()

  Gets the value of the type property.

  Returns:
    possible object is `String`

### setType

    public void setType(String value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `String`

### getStrength

    public StrengthRangeType getStrength()

  Gets the value of the strength property.

  Returns:
    possible object is `StrengthRangeType`

### setStrength

    public void setStrength(StrengthRangeType value)

  Sets the value of the strength property.

  Parameters:
    `value` - allowed object is `StrengthRangeType`

### getSubstance

    public SubstanceWithStandardsType getSubstance()

  Gets the value of the substance property.

  Returns:
    possible object is `SubstanceWithStandardsType`

### setSubstance

    public void setSubstance(SubstanceWithStandardsType value)

  Sets the value of the substance property.

  Parameters:
    `value` - allowed object is `SubstanceWithStandardsType`

### getRealVirtualIngredients

    public List<ConsultRealVirtualIngredientType> getRealVirtualIngredients()

  Gets the value of the realVirtualIngredients property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the realVirtualIngredients property.

  For example, to add a new item, do as follows:

          getRealVirtualIngredients().add(newItem);

  Objects of the following type(s) are allowed in the list `ConsultRealVirtualIngredientType`

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

### getEndDate

    public org.joda.time.DateTime getEndDate()

  Gets the value of the endDate property.

  Returns:
    possible object is `String`

### setEndDate

    public void setEndDate(org.joda.time.DateTime value)

  Sets the value of the endDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.